import { j as e } from "../../node_modules/react/jsx-runtime.js";
import { cn as r } from "../../utils/index.js";
import { cva as a } from "../../node_modules/class-variance-authority/dist/index.js";
import { Icon as s } from "../Icon/index.js";
const o = a(["underline", "cursor-pointer"], {
  variants: {
    variant: { primary: "text-white", secondary: "text-[#C8C9CC] text-sm" }
  }
});
function x({
  variant: t = "primary",
  className: n,
  children: i
}) {
  return /* @__PURE__ */ e.jsx("a", { className: r("underline", o({ variant: t }), n), children: i });
}
function u(t) {
  return /* @__PURE__ */ e.jsxs("div", { className: r(o({ variant: t.variant })), children: [
    /* @__PURE__ */ e.jsx(x, { ...t }),
    /* @__PURE__ */ e.jsx(s, { name: "link-external" })
  ] });
}
function d({
  children: t
}) {
  return /* @__PURE__ */ e.jsx("div", { className: "flex flex-row gap-4", children: t });
}
function p({ children: t, className: n }) {
  return /* @__PURE__ */ e.jsx("div", { className: "bg-[#2A2A2B]", children: /* @__PURE__ */ e.jsx(
    "div",
    {
      className: r(
        "flex flex-col items-start gap-8 container mx-auto py-10 p-6",
        n
      ),
      children: t
    }
  ) });
}
function v({ className: t, ...n }) {
  return /* @__PURE__ */ e.jsx(
    "div",
    {
      className: r(
        "flex flex-col items-end w-full text-sm text-content-inverse-subtle",
        t
      ),
      ...n
    }
  );
}
export {
  p as Footer,
  x as FooterLink,
  u as FooterLinkExternal,
  d as FooterLinksSection,
  v as Footnote
};
